<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
    <HEAD>
        <TITLE>data/put StandAlone test</TITLE>
    </HEAD>

    <BODY>
        <H1 align="center">data/put StandAlone test </H1>

        <H2>Test Objectives</H2>
		<UL>
		<LI>To test dataStandAlone and putStandAlone commands</li>
        <li>To verify that the end products of a dataStandAlone command followed by a putStandAlone
        command is the same as that of a dataPipeline.</li><p>
        <LI>To test dataStandAlone and putStandAlone commands via grid</li>
		</UL><p>
		Various DSOs are tested e.g. inspiral, slope, stochastic, tfclusters, slope, stackslide and
        knownpulsardemod.<p>
       
		<H2>APIs affected by this test</H2>
		<UL>
        <li>All APIs are exercised via dataPipeline commands.</li>
		</UL>
				
        <H2>Setup</H2>
        <ul>
        <li>ligotools package is required for running this test. Check that it is mounted</li><p>
        <li>Install the following tests script in a directory visible to ldas gateway and beowulf machine 
		<UL><p>
        <li><CODE><font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/standalone.tcl?rev=HEAD;content-type=text%2Fplain'>standalone.tcl</a></font>
        - runs the data and put StandAlone commands</li>
        <li><CODE><font color='blue'><a href='http://ldas-sw.ligo.caltech.edu/cgi-bin/cvsweb.cgi/ldas/api/test/System/verifystandalone.tcl?rev=HEAD;content-type=text%2Fplain'>verifystandalone.tcl</a></font>
        runs the data and put StandAlone commands and diffs the result xmls </li>
		</UL>
        </li><p>
        <li>S2 frame files must be mounted on ldas system and known to diskcacheAPI:<p>
        </ul>
        <H2>Test Execution</H2>
        The verifystandalone.tcl must be run on beowulf since the standalone wrapper is invoked.
        The standalone.tcl with grid test must be run on gateway to ftp results to grid system.<p>
        On beowulf 
		<p>cd &lt;your scripts directory&gt;<p>
		
        <B>Usage:</B> <CODE>verifystandalone.tcl >& standalone.log &</CODE><p>
        
        On gateway
		<p>cd &lt;your scripts directory&gt;<p>
        
        <B>Usage:</B> <CODE>verifystandalone.tcl [options] >& standalone.log &</CODE><p>
        
        <P><TABLE border=1 cellspacing=0 cellpadding=10>
            <TR>
                <TH><B>Option</B>
                <TH><B>Description</B>
			<TR>
                <TD valign=top><CODE>&lt;-g&gt;</CODE>
                <TD>specify use of grid
        </TABLE><p>e.g.<pre><font color='brown'>
            beowulf: verifystandalone.tcl >& standalone.log &
            gateway: standalone.tcl -g >& standalone.log &
        </font></pre>
		<p>
		<H2>Test Validation:</H2>
        For beowulf test
        Expect the xml difference to be only in process, wrapper data and gps time.
        <pre><font color='green'>
        inspiral putStandAlone /ldas_outgoing/jobs/LDAS-DEV_3191/LDAS-DEV31915574/
        inspiral dataPipeline /ldas_outgoing/jobs/LDAS-DEV_3191/LDAS-DEV31915576/


        121c121
        <          "ldasinspiral","process:process_id:0",730524011,0,730525675,0,"L1","inspiral_effective_distance",1.8066820e+00,"1.4_1.4_8"
        ---
        >          "ldasinspiral","process:process_id:0",730524011,0,730525675,0,"L1","inspiral_effective_distance",0.0000000e+00,"1.4_1.4_8"
        184c184
        <          "wrapperAPI","1.2.3","/ldcg_server/common/repository/ldas",778845803,"wrapperAPI is running on 4 nodes.",0,"beowulf","ldas",14755,778876358,778876384,31915523,"ldas-dev","process:process_id:0"
        ---
        >          "wrapperAPI","1.2.3","/ldcg_server/common/repository/ldas",778845803,"wrapperAPI is running on 4 nodes.",0,"beowulf","search13",14864,778876471,778876497,31915576,"ldas-dev","process:process_id:0"
        186c186
        <          "wrapperAPI","process:process_id:0","-dataAPI","string"," 0",
        ---
        >          "wrapperAPI","process:process_id:0","-dataAPI","string","datacon 10600",
        191c191
        <          "wrapperAPI","process:process_id:0","-jobID","int","31915523",
        ---
        >          "wrapperAPI","process:process_id:0","-jobID","int","31915576",
        193c193
        <          "wrapperAPI","process:process_id:0","-mpiAPI","string","beowulf 11000",
        ---
        >          "wrapperAPI","process:process_id:0","-mpiAPI","string","beowulf 10021",
        196,198c196,198
        <          "wrapperAPI","process:process_id:0","-realTimeRatio","real","1",
        <          "wrapperAPI","process:process_id:0","-resultAPI","string","metaserver 10021",
        <          "wrapperAPI","process:process_id:0","-userTag","string","",
        ---
        >          "wrapperAPI","process:process_id:0","-realTimeRatio","real","0.9",
        >          "wrapperAPI","process:process_id:0","-resultAPI","string","metaserver 10024",
        >          "wrapperAPI","process:process_id:0","-userTag","string","\",
        child process exited abnormally
        </font></pre>
        <p>
        For gateway test with grid
        Expect all DSO jobs to pass
        e.g. <pre><font color='green'>
        *** INSPIRAL ***
        -Reading inspiral.cmd
        -Sending dataStandAlone
        LDAS-DEV31915573 (1.2.3)
        Subject: LDAS-DEV31915573 Neutron Star Inspiral Search Your results: LDAS-DEV31915
        573_wrapperdata.ilwd can be found at: gridftp:/usr1/grid/ldas/LDAS-DEV_3191/LDAS-D
        EV31915573
        -Writing inspiral.schema
        -Starting mpirun
        27664 /ldas/bin/wrapperAPI running on n0 (o)
        27665 /ldas/bin/wrapperAPI running on n0 (o)
        27666 /ldas/bin/wrapperAPI running on n0 (o)
        27667 /ldas/bin/wrapperAPI running on n0 (o)
        -Sending putStandAlone
        LDAS-DEV31915596 (1.2.3)
        Subject: LDAS-DEV31915596 Neutron Star Inspiral Search Your results: inspiral_resu
        lt.xml can be found at: http://131.215.115.248/ldas_outgoing/jobs/LDAS-DEV_3191/LD
        AS-DEV31915596/
        -Sending dataPipeline
        LDAS-DEV31915605 (1.2.3)
        Subject: LDAS-DEV31915605 Neutron Star Inspiral Search Your results: inspiral_resu
        lt.xml can be found at: http://131.215.115.248/ldas_outgoing/jobs/LDAS-DEV_3191/LD
        AS-DEV31915605/
        </font></pre>
    </BODY>
</HTML>

